lernid(1)

NAME
lernid - program for participating in Ubuntu learning events

SYNOPSIS
lernid [options]

DESCRIPTION
This manual page explains the lernid program. This program allows you to easily participate in Ubuntu Learning events. It connects to the IRC classroom and classroom-chat sessions simultaneously, displaying web pages and slides the instructor presents. You can discuss the class and ask questions in the classroom-chat window. Use the message box, at the bottom right of the screen, to send your input to the class.

You can ask questions to be answered by the instructor as part of the class by preceding it with the tag "QUESTION:". Checking the checkbox near the message box will do that for you automatically. If the class is being taught in a language other than English the token may change to match.

In Preferences, two layouts are available, horizontal and vertical, which switch whether the browser and slides (if any) are on top or on the left of the classroom and chatroom panes. Choose whichever best matches your screen, and your convenience. Other preferences may be set as well.

Classroom events depend upon the classroom calendar. Lernid will update its calendar several times an hour. If Lernid doesn't seem to be up-to-date it may be worthwhile to update it yourself using the refresh control on the schedule tab.

Many like to keep track of future classroom events. The calendar ical buttons may be helpful to you should you wish to subscribe using your calendar management software or web app.

You can easily send a message about the current session, through all your accounts that you have added to Gwibber, by using the "Publicize with Gwibber" option under the "Events" menu.

OPTIONS

-v,  --verbose
    Show debug messages

-d, --debug
    Show debug and classroom management messages

--classroom
    Use alternate classroom

--chatroom
    Use alternate chatroom

--config
    Use alternate configuration at this url. If desired, can be specified as, for example, file:///x/y/z . Used for testing.

--calendar
    Use an alternate calendar at this url. If desired, can be specified as, for example, file:///x/y/z . Used for testing.

--no-update
    Only update the schedule when connecting to an event, or when the refresh button is pressed

--web-chat
    Use web browser to connect to IRC chatrooms.

--unsafe-override
    Allow anyone sending messages to the classroom to provide slides and web pages to your session. Normally only those authorized to present sessions are allowed to control these features of Lernid.

FILES
/etc/lernid-classroom.d/ config files

vcal files

DIRECTIVES
As you follow a class, assuming the speaker is listed in the schedule, the browser will follow URL's he or she posts. If slides are being used you may also see the following commands used:

[slide n]
    This directive from the speaker will cause the slide to change to page n

[slidefile URL]
    This directive will cause lernid to load the PDF at that URL as a set of slides.

[slidefile URL n]
    This directive will cause lernid to load the PDF at that URL and switch to page n

SEE ALSO
lernid-classroom(5) config files